package treadmill;

import java.util.Random;
import io.reactivex.functions.Consumer;

signal class Wearable implements Runnable {
    persistent signal int heartbeat;
    signal double avebeat = heartbeat.avg();
    String id;
    
    public Wearable(String id) {
	this.id = id;
	heartbeat.psubscribe((Consumer<Double>)(x->System.out.println("beat:" + x)));
    }

    public void run() {
	Random r = new Random();
	try {
	    while (true) {
		Thread.sleep(1000);
		this.set(100 + r.nextInt(50));
	    }
	} catch (Exception e) { }
    }
}
